post
https://api.coinone.co.kr/v2.1/account/deposit_address
입금가능한 가상자산의 입금주소 조회
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request Header
| Headers | Required/ Optional | Description |
|---|---|---|
| X-COINONE-PAYLOAD | Required | Request body object -> JSON string -> base64 |
| X-COINONE-SIGNATURE | Required | HMAC(X-COINONE-PAYLOAD, SECRET_KEY, SHA512).hexdigest() |
Request Body
| field | type | required/optional | description |
|---|---|---|---|
| access_token | string | required | 사용자의 액세스 토큰 (access token) |
| nonce | string | required | UUID nonce (예: "022f53b2-8b2f-40c6-8e51-b594f562ee83") |
| currencies | array of strings | optional | 주소를 조회하려는 자산의 심볼 입력, 미입력시 전체응답 |
Response Body
해당 가상자산이 입금 불가한 경우 리스트에서 제외됩니다.
| Key | Type | Description |
|---|---|---|
| result | String | 정상 반환 시 success, 에러 코드 반환 시 error |
| error_code | NumberString | error 발생 시 에러코드 반환, 성공인 경우 0 반환 |
| deposit_addresses | Array[Object] | 배열 형태의 가상자산 입금주소 정보 |
| - currency | String | 가상자산 심볼 (예: BTC) |
| - address | String | 입금주소 |
| - secondary_address | String? | memo, tag와 같은 2차주소, 없을경우 null로 응답 |
